[arch-commits] Commit in python-couchdb/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Sun Nov 16 12:08:38 UTC 2014


    Date: Sunday, November 16, 2014 @ 13:08:37
  Author: fyan
Revision: 122637

archrelease: copy trunk to community-any

Added:
  python-couchdb/repos/community-any/PKGBUILD
    (from rev 122636, python-couchdb/trunk/PKGBUILD)
Deleted:
  python-couchdb/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  169 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 85 insertions(+), 84 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-16 12:08:14 UTC (rev 122636)
+++ PKGBUILD	2014-11-16 12:08:37 UTC (rev 122637)
@@ -1,84 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Aaron DeVore <aaron.devore at gmail.com>
-# Contributor: Byron Clark <byron at theclarkfamily.name>
-# Contributor: Guan 'kuno' Qing <neokuno AT gmail DOT com>
-
-pkgbase=python-couchdb
-pkgname=(python-couchdb python2-couchdb)
-pkgver=0.10
-pkgrel=1
-pkgdesc="Python library for working with CouchDB"
-url="http://code.google.com/p/couchdb-python/"
-license=('BSD')
-arch=('any')
-makedepends=('python-setuptools' 'python2-setuptools' 'couchdb')
-source=(http://pypi.python.org/packages/source/C/CouchDB/CouchDB-$pkgver.tar.gz)
-md5sums=('8b9b3a3cbea664a1758ff4d00b9d156f')
-
-prepare() {
-  cp -a CouchDB-$pkgver{,-py2}
-
-  cd "$srcdir/CouchDB-$pkgver-py2"
-  sed -i 's/python /python2 /' Makefile
-  find . -name "*.py" -exec \
-    sed -i '1s|env python$|env python2|' {} \;
-}
-
-build() {
-  cd "$srcdir/CouchDB-$pkgver"
-  python setup.py build
-
-  cd "$srcdir/CouchDB-$pkgver-py2"
-  python2 setup.py build
-}
-
-check() {
-  mkdir "$srcdir/tmp_couchdb"
-  cat > "$srcdir/tmp_couchdb.conf" << EOF
-[couchdb]
-database_dir = "$srcdir/tmp_couchdb"
-view_index_dir = "$srcdir/tmp_couchdb"
-uri_file = "$srcdir/tmp_couchdb.uri"
-[log]
-file = "$srcdir/tmp_couchdb.log"
-EOF
-
-  couchdb -a "$srcdir/tmp_couchdb.conf" &
-  _COUCHDB_PID=$!
-  sleep 3;
-
-  cd "$srcdir/CouchDB-$pkgver"
-  python setup.py test || warning "python 3 tests failed"
-
-  cd "$srcdir/CouchDB-$pkgver-py2"
-  python2 setup.py test
-
-  kill $_COUCHDB_PID
-}
-
-package_python-couchdb() {
-  depends=('couchdb' 'python-setuptools')
-
-  cd "$srcdir/CouchDB-$pkgver"
-  python setup.py install --root="$pkgdir" --optimize=1
-
-  install -D -m644 "COPYING" \
-    "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-}
-
-package_python2-couchdb() {
-  depends=('couchdb' 'python2-setuptools')
-
-  cd "$srcdir/CouchDB-$pkgver-py2"
-  python2 setup.py install --root="$pkgdir" --optimize=1
-
-  install -D -m644 "COPYING" \
-    "$pkgdir/usr/share/licenses/$pkgname/COPYING"
-
-  for name in couchdb-dump couchdb-load couchdb-replicate couchpy; do
-    mv "$pkgdir/usr/bin/$name"{,2}
-  done
-}
-
-# vim:ts=2:sw=2:et

Copied: python-couchdb/repos/community-any/PKGBUILD (from rev 122636, python-couchdb/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-16 12:08:37 UTC (rev 122637)
@@ -0,0 +1,85 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Aaron DeVore <aaron.devore at gmail.com>
+# Contributor: Byron Clark <byron at theclarkfamily.name>
+# Contributor: Guan 'kuno' Qing <neokuno AT gmail DOT com>
+
+pkgbase=python-couchdb
+pkgname=(python-couchdb python2-couchdb)
+pkgver=1.0
+pkgrel=1
+pkgdesc="Python library for working with CouchDB"
+url="http://code.google.com/p/couchdb-python/"
+license=('BSD')
+arch=('any')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('couchdb')
+source=(http://pypi.python.org/packages/source/C/CouchDB/CouchDB-$pkgver.tar.gz)
+md5sums=('94fa641fa032f9b8a58515881fbb4b1e')
+
+prepare() {
+  cp -a CouchDB-$pkgver{,-py2}
+
+  cd "$srcdir/CouchDB-$pkgver-py2"
+  sed -i 's/python /python2 /' Makefile
+  find . -name "*.py" -exec \
+    sed -i '1s|env python$|env python2|' {} \;
+}
+
+build() {
+  cd "$srcdir/CouchDB-$pkgver"
+  python setup.py build
+
+  cd "$srcdir/CouchDB-$pkgver-py2"
+  python2 setup.py build
+}
+
+check() {
+  mkdir "$srcdir/tmp_couchdb"
+  cat > "$srcdir/tmp_couchdb.conf" << EOF
+[couchdb]
+database_dir = "$srcdir/tmp_couchdb"
+view_index_dir = "$srcdir/tmp_couchdb"
+uri_file = "$srcdir/tmp_couchdb.uri"
+[log]
+file = "$srcdir/tmp_couchdb.log"
+EOF
+
+  couchdb -a "$srcdir/tmp_couchdb.conf" &
+  _COUCHDB_PID=$!
+  sleep 3;
+
+  cd "$srcdir/CouchDB-$pkgver"
+  python setup.py test || warning "python 3 tests failed"
+
+  cd "$srcdir/CouchDB-$pkgver-py2"
+  python2 setup.py test
+
+  kill $_COUCHDB_PID
+}
+
+package_python-couchdb() {
+  depends=('python-setuptools')
+
+  cd "$srcdir/CouchDB-$pkgver"
+  python setup.py install --root="$pkgdir" --optimize=1
+
+  install -D -m644 "COPYING" \
+    "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+}
+
+package_python2-couchdb() {
+  depends=('python2-setuptools')
+
+  cd "$srcdir/CouchDB-$pkgver-py2"
+  python2 setup.py install --root="$pkgdir" --optimize=1
+
+  install -D -m644 "COPYING" \
+    "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+
+  for name in couchdb-dump couchdb-load couchdb-replicate couchpy; do
+    mv "$pkgdir/usr/bin/$name"{,2}
+  done
+}
+
+# vim:ts=2:sw=2:et


More information about the arch-commits mailing list